// -*-C++-*-
/*!
 * @file  BirdsEyeControlSVC_impl.h
 * @brief Service implementation header of BirdsEyeControl.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "BirdsEyeControlSkel.h"

#ifndef BIRDSEYECONTROLSVC_IMPL_H
#define BIRDSEYECONTROLSVC_IMPL_H
 
/*!
 * @class BirdsEyeComposeModeSVC_impl
 * Example class implementing IDL interface BirdsEyeControlServ::BirdsEyeComposeMode
 */
class BirdsEyeComposeModeSVC_impl
 : public virtual POA_BirdsEyeControlServ::BirdsEyeComposeMode,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BirdsEyeComposeModeSVC_impl();

  //add
  CORBA::ULong m_ulBirdsEyeComposeMode;

 public:
  /*!
   * @brief standard constructor
   */
   BirdsEyeComposeModeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~BirdsEyeComposeModeSVC_impl();

   // attributes and operations
   void SetBirdsEyeComposeMode(CORBA::ULong ulMode);
   CORBA::ULong GetBirdsEyeComposeMode();

};

/*!
 * @class BirdsEyeCaptureModeSVC_impl
 * Example class implementing IDL interface BirdsEyeControlServ::BirdsEyeCaptureMode
 */
class BirdsEyeCaptureModeSVC_impl
 : public virtual POA_BirdsEyeControlServ::BirdsEyeCaptureMode,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BirdsEyeCaptureModeSVC_impl();

  //add
  CORBA::ULong m_ulBirdsEyeCaptureMode;

 public:
  /*!
   * @brief standard constructor
   */
   BirdsEyeCaptureModeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~BirdsEyeCaptureModeSVC_impl();

   // attributes and operations
   void SetBirdsEyeCaptureMode(CORBA::ULong ulCaptMode);
   CORBA::ULong GetBirdsEyeCaptureMode();

};

/*!
 * @class BirdsEyeCaptureTriggerSVC_impl
 * Example class implementing IDL interface BirdsEyeControlServ::BirdsEyeCaptureTrigger
 */
class BirdsEyeCaptureTriggerSVC_impl
 : public virtual POA_BirdsEyeControlServ::BirdsEyeCaptureTrigger,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BirdsEyeCaptureTriggerSVC_impl();

  //add
  CORBA::ULong m_ulBirdsEyeCaptureTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   BirdsEyeCaptureTriggerSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~BirdsEyeCaptureTriggerSVC_impl();

   // attributes and operations
   void ReqBirdsEyeCaptureTrigger(CORBA::ULong ulCaptTrigger);
   CORBA::ULong GetBirdsEyeCaptureTrigger();

};

/*!
 * @class BirdsEyeProgressSVC_impl
 * Example class implementing IDL interface BirdsEyeControlServ::BirdsEyeProgress
 */
class BirdsEyeProgressSVC_impl
 : public virtual POA_BirdsEyeControlServ::BirdsEyeProgress,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BirdsEyeProgressSVC_impl();

  //add
  CORBA::ULong m_ulBirdsEyeProgressSts;

 public:
  /*!
   * @brief standard constructor
   */
   BirdsEyeProgressSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~BirdsEyeProgressSVC_impl();

   // attributes and operations
   void SetBirdsEyeProgressSts(CORBA::ULong ulProgressSts);
   CORBA::ULong GetBirdsEyeProgressSts();

};

/*!
 * @class BirdsEyeResetSVC_impl
 * Example class implementing IDL interface BirdsEyeSystemContServ::BirdsEyeReset
 */
class BirdsEyeResetSVC_impl
 : public virtual POA_BirdsEyeSystemContServ::BirdsEyeReset,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BirdsEyeResetSVC_impl();

  //add
  CORBA::ULong m_ulBirdsEyeResetTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   BirdsEyeResetSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~BirdsEyeResetSVC_impl();

   // attributes and operations
   void ReqBirdsEyeReset(CORBA::ULong ulResetTrigger);
   CORBA::ULong GetBirdsEyeReset();

};



#endif // BIRDSEYECONTROLSVC_IMPL_H


