// -*-C++-*-
/*!
 * @file  BirdsEyeControlSVC_impl.cpp
 * @brief Service implementation code of BirdsEyeControl.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "BirdsEyeControlSVC_impl.h"
#include "NM33BirdsEyeSystem.h"

/*
 * Example implementational code for IDL interface BirdsEyeControlServ::BirdsEyeComposeMode
 */
BirdsEyeComposeModeSVC_impl::BirdsEyeComposeModeSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulBirdsEyeComposeMode = COMPOSE_MODE_OFF;
}


BirdsEyeComposeModeSVC_impl::~BirdsEyeComposeModeSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void BirdsEyeComposeModeSVC_impl::SetBirdsEyeComposeMode(CORBA::ULong ulMode)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void BirdsEyeComposeModeSVC_impl::SetBirdsEyeComposeMode(CORBA::ULong ulMode)>"
#endif

	//add
	if(ulMode < COMPOSE_MODE_MAX){
		m_ulBirdsEyeComposeMode = ulMode;
	}else{
		m_ulBirdsEyeComposeMode = COMPOSE_MODE_OFF;
	}
}

CORBA::ULong BirdsEyeComposeModeSVC_impl::GetBirdsEyeComposeMode()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong BirdsEyeComposeModeSVC_impl::GetBirdsEyeComposeMode()>"
#endif
	return (m_ulBirdsEyeComposeMode);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface BirdsEyeControlServ::BirdsEyeCaptureMode
 */
BirdsEyeCaptureModeSVC_impl::BirdsEyeCaptureModeSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulBirdsEyeCaptureMode = CAPT_MODE_VIDEO;
}


BirdsEyeCaptureModeSVC_impl::~BirdsEyeCaptureModeSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void BirdsEyeCaptureModeSVC_impl::SetBirdsEyeCaptureMode(CORBA::ULong ulCaptMode)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void BirdsEyeCaptureModeSVC_impl::SetBirdsEyeCaptureMode(CORBA::ULong ulCaptMode)>"
#endif

	//add
	if(ulCaptMode < CAPT_MODE_MAX){
		m_ulBirdsEyeCaptureMode = ulCaptMode;
	}else{
		m_ulBirdsEyeCaptureMode = CAPT_MODE_VIDEO;
	}
}

CORBA::ULong BirdsEyeCaptureModeSVC_impl::GetBirdsEyeCaptureMode()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong BirdsEyeCaptureModeSVC_impl::GetBirdsEyeCaptureMode()>"
#endif
	return (m_ulBirdsEyeCaptureMode);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface BirdsEyeControlServ::BirdsEyeCaptureTrigger
 */
BirdsEyeCaptureTriggerSVC_impl::BirdsEyeCaptureTriggerSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulBirdsEyeCaptureTrigger = CAPT_TRIG_STOP;
}


BirdsEyeCaptureTriggerSVC_impl::~BirdsEyeCaptureTriggerSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void BirdsEyeCaptureTriggerSVC_impl::ReqBirdsEyeCaptureTrigger(CORBA::ULong ulCaptTrigger)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void BirdsEyeCaptureTriggerSVC_impl::ReqBirdsEyeCaptureTrigger(CORBA::ULong ulCaptTrigger)>"
#endif

	//add
	if(ulCaptTrigger < CAPT_MODE_MAX){
		m_ulBirdsEyeCaptureTrigger = ulCaptTrigger;
	}else{
		m_ulBirdsEyeCaptureTrigger = CAPT_TRIG_STOP;
	}
}

CORBA::ULong BirdsEyeCaptureTriggerSVC_impl::GetBirdsEyeCaptureTrigger()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong BirdsEyeCaptureTriggerSVC_impl::GetBirdsEyeCaptureTrigger()>"
#endif
	return (m_ulBirdsEyeCaptureTrigger);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface BirdsEyeControlServ::BirdsEyeProgress
 */
BirdsEyeProgressSVC_impl::BirdsEyeProgressSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulBirdsEyeProgressSts = PROG_STS_FIN;
}


BirdsEyeProgressSVC_impl::~BirdsEyeProgressSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void BirdsEyeProgressSVC_impl::SetBirdsEyeProgressSts(CORBA::ULong ulProgressSts)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void BirdsEyeProgressSVC_impl::SetBirdsEyeProgressSts(CORBA::ULong ulProgressSts)>"
#endif

	//add
	if(ulProgressSts < PROG_STS_MAX){
		m_ulBirdsEyeProgressSts = ulProgressSts;
	}else{
		m_ulBirdsEyeProgressSts = PROG_STS_FIN;
	}
}

CORBA::ULong BirdsEyeProgressSVC_impl::GetBirdsEyeProgressSts()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong BirdsEyeProgressSVC_impl::GetBirdsEyeProgressSts()>"
#endif
	return (m_ulBirdsEyeProgressSts);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface BirdsEyeSystemContServ::BirdsEyeReset
 */
BirdsEyeResetSVC_impl::BirdsEyeResetSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulBirdsEyeResetTrigger = RESET_TRIG_OFF;
}


BirdsEyeResetSVC_impl::~BirdsEyeResetSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void BirdsEyeResetSVC_impl::ReqBirdsEyeReset(CORBA::ULong ulResetTrigger)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void BirdsEyeResetSVC_impl::ReqBirdsEyeReset(CORBA::ULong ulResetTrigger)>"
#endif

	//add
	if(ulResetTrigger < RESET_TRIG_MAX){
		m_ulBirdsEyeResetTrigger = ulResetTrigger;
	}else{
		m_ulBirdsEyeResetTrigger = RESET_TRIG_OFF;
	}
}

CORBA::ULong BirdsEyeResetSVC_impl::GetBirdsEyeReset()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong BirdsEyeResetSVC_impl::GetBirdsEyeReset()>"
#endif
	return (m_ulBirdsEyeResetTrigger);
}



// End of example implementational code



